/* styles.css */
@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css');

/* Your other CSS rules go here */

:root{
    --green:#070b00;
}

*{
    margin:0; padding:0;
    box-sizing: border-box;
    outline: none; border:none;
    text-decoration: none;
    text-transform: capitalize;
    transition: all .3s cubic-bezier(.38,1.15,.7,1.12);
    font-weight: normal;
    font-family: poppins-semibold;
}

:root {
    --background-dark: #2d3548;
    --text-light: rgba(255, 255, 255, 0.6);
    --text-lighter: rgba(255, 255, 255, 0.9);
    --accent-color: #F67B50;
    --spacing-s: 16px;
    --spacing-m: 24px;
    --spacing-l: 32px;
    --spacing-xl: 48px;
    --spacing-xxl: 64px;
    --width-container: 1200px;
    --heading: rgb(0 10 45);
    --para: #777777;
    --para-tint: #e4e4e4;
    --third: #fff;
    --helper: #8490ff;
    --helper-tint: #f3f4ff;
    --bg: rgb(249 249 255);
    --gradient: linear-gradient(0deg, rgb(132 144 255) 0%, rgb(98 189 252) 100%);
    --shadpw: 0px 0px 20px 0px rgb(132 144 255 / 20%);
    --background-dark: #2d3548;
    --text-light: rgba(255, 255, 255, 0.6);
    --text-lighter: rgba(255, 255, 255, 0.9);
    --accent-color: #F67B50;
    --spacing-s: 16px;
    --spacing-m: 24px;
    --spacing-l: 32px;
    --spacing-xl: 48px;
    --spacing-xxl: 64px;
    --width-container: 1200px;
  }



*::selection{
    background:var(--green);
    color:#fff;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
}

html::-webkit-scrollbar{
    width:1.3rem;
}

html::-webkit-scrollbar-track{
   background:#eee;
}

html::-webkit-scrollbar-thumb{
    background:var(--green);
}

/* section{
    min-height: 100vh;
    padding:0 7%;
    padding-top: 9rem;
} */

.btn{
    padding:.7rem 2rem;
    font-size: 1.7rem;
    background:#666;
    color:#fff;
    cursor: pointer;
    margin-top: 1rem;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
}

.btn:hover{
    background:#444;
}

.logo:hover,
.nav-links:hover {
font-weight: bold;
text-decoration: underline;
transition: font-weight 0.3s ease, text-decoration-color 0.2s ease;
}

.heading{
    text-align: center;
    padding:1rem;
    color: var(--green);
    font-size: 3.5rem;
    font-weight: bold;
    margin-top: 40px;
}

/* ===========================================
Header Section Start
======================================= */
.header {
    background-color: #fff;
    box-shadow: 1px 1px 4px 0 rgba(0,0,0,.1);
    /* position: fixed; */
    width: 100%;
    z-index: 3;
    display: flex;
    align-items: center;
   
   
    
  }

  .header .logo{
    height:100%;
    width:6%;
    margin:0px 15px;

  }
  
  .header ul {
    margin: 0;
    padding: 0;
    list-style: none;
    overflow: hidden;
    background-color: #fff;
  }
  
  .header li a {
    display: block;
    padding: 20px 20px;
    border-right: 1px solid #f4f4f4;
    text-decoration: none;
  }
  
  .header li a:hover,
  .header .menu-btn:hover {
    background-color: #f4f4f4;
  }
  

  
  /* menu */
  
  .header .menu {
    clear: both;
    max-height: 0;
    transition: max-height .2s ease-out;
  }
  
  /* menu icon */
  
  .header .menu-icon {
    cursor: pointer;
    display: inline-block;
    float: right;
    padding: 28px 20px;
    position: relative;
    user-select: none;
  }
  
  .header .menu-icon .navicon {
    background: #333;
    display: block;
    height: 2px;
    position: relative;
    transition: background .2s ease-out;
    width: 18px;
  }
  
  .header .menu-icon .navicon:before,
  .header .menu-icon .navicon:after {
    background: #333;
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all .2s ease-out;
    width: 100%;
  }
  
  .header .menu-icon .navicon:before {
    top: 5px;
  }
  
  .header .menu-icon .navicon:after {
    top: -5px;
  }
  
  /* menu btn */
  
  .header .menu-btn {
    display: none;
  }
  
  .header .menu-btn:checked ~ .menu {
    max-height: 240px;
  }
  
  .header .menu-btn:checked ~ .menu-icon .navicon {
    background: transparent;
  }
  
  .header .menu-btn:checked ~ .menu-icon .navicon:before {
    transform: rotate(-45deg);
  }
  
  .header .menu-btn:checked ~ .menu-icon .navicon:after {
    transform: rotate(45deg);
  }
  
  .header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
  .header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
    top: 0;
  }

  
  .navbar-lists {
    display: flex;
    gap: 4.8rem;
    list-style: none;
  }
  
  .navbar-link:link,
  .navbar-link:visited {
    display: inline-block;
    text-decoration: none;
    font-size: 1.8rem;
    font-weight: 500;
    text-transform: uppercase;
    color: #212529;
    transition: all 0.3s;
    font-family: "Poppins", sans-serif;
  }
  
  .navbar-link:hover,
  .navbar-link:active {
    color: var(--helper);
  }
  
  .mobile-navbar-btn {
    /* by default for normal screen we want to hide  */
    display: none;
    background: transparent;
    cursor: pointer;
    border: none;
  }
  
  .mobile-nav-icon {
    width: 5rem;
    height: 5rem;
    color: #212529;
  }
  
  /* for desktop or mobile menu-outline one must be visible  
  and we need to hide the close menu icon
  */
  .mobile-nav-icon[name="close-outline"] {
    display: none;
  }
  
  /* sticky Navbar */
  /* .sticky .header {
    position: fixed;
    top: 0;
    left: 0;
    height: 8rem;
    width: 100%;
    background-color: rgba(255, 255, 255, 1);
    box-shadow: 0 0 2rem 0 rgba(0, 0, 0, 0.1);
    z-index: 9999;
    padding-top: 0;
    padding-bottom: 0;
  }
   */
  #chkToggle {
    display: none;
  }
  
  #chkToggle:checked + ul.main-nav {
    display: block;
  }
  

  

#menu{
    font-size: 3rem;
    color:#666;
    cursor: pointer;
    padding:.5rem 1rem;
    border:.2rem solid rgba(0,0,0,.2);
    border-radius: .5rem;
    display: none;
}


.video-container {
    width: 100%; /* Make the container take full width of its parent */
   /* Optional: Set a maximum width */
     /* Optional: Center the container horizontally */
}

.video-container video {
    display: block;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    object-position: center center;
}
.home{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background:url(images/issa-ben-8CNkoytUuV4-unsplash.jpg) no-repeat;
    background-size: cover;
    background-position: center;
}

.home .content{
    padding-left: 10rem;
    width:75rem;
}

.home .content h3{
    font-size: 4.5rem;
    color:var(--green);
}

.home .content p{
    font-size: 2rem;
    color:#aaa;
    padding:1rem 0;
}

.product .box-container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.product .box-container .box{
    border:.1rem solid rgba(0,0,0,.1);
    margin:2rem;
    padding:1rem;
    border-radius: .5rem;
    background:#fff;
    width: 30rem;
    text-align: center;
}

.product .box-container .box img{
    height:20rem;
    width:20rem;
    object-fit: cover;
}

.product .box-container .box h3{
    font-size: 2rem;
    color:var(--green);
}

.product .box-container .box .stars i{
    font-size: 2rem;
    color:gold;
    padding:1rem .1rem;
}

.product .box-container .box .price{
    font-size: 2rem;
    color:#666;
}

.product .box-container .box .price span{
    font-size: 1.5rem;
    color:#aaa;
    padding-right: .5rem;
    text-decoration: line-through;
}

.product .box-container .box .icons{
    padding:1rem 0;
}

.product .box-container .box .icons a{
    font-size: 1.5rem;
    color:#666;
    height:5rem;
    width:5rem;
    line-height: 5rem;
    border:.1rem solid rgba(0,0,0,.1);
    border-radius: .5rem;
    margin:.5rem;
}

.product .box-container .box .icons a:hover{
    background:#eee;
}

.about .row{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.about .row .image{
    flex:1 1 40rem;
}

.about .row .image img{
    width:100%;
}

.about .row .content{
    flex: 1 0 40rem;
    padding: 1  rem 15rem;
    margin: auto;
    width: 30%;
}

.about .row .content h3{
    color:var(--green);
    font-size: 2.5rem;
}

.about .row .content p{
    color:#aaa;
    font-size: 1.7rem;
    padding:1rem 0;
}

.service .box-container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.service .box-container .box{
    text-align: center;
    width:30rem;
    margin:2rem;
}

.service .box-container .box i{
    font-size: 5rem;
    color:#aaa;
    padding:1rem;
}

.service .box-container .box h3{
    font-size: 2rem;
    color:var(--green);
}

.service .box-container .box p{
    font-size: 1.5rem;
    color:#999;
    padding:1rem 0;
}

.review .box-container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.review .box-container .box{
    margin:2rem;
    padding:1rem;
    flex:1 1 35rem;
}

.review .box-container .box .info{
    padding:1rem 0;
    display: flex;
    align-items: center;
}

.review .box-container .box .info img{
    height:7rem;
    width:7rem;
    object-fit: cover;
    border:.5rem solid var(--green);
    border-radius: 50%;
}

.review .box-container .box .info .user{
    padding-left: 1rem;
}

.review .box-container .box .info .user h3{
    font-size: 2rem;
    color:var(--green);
}

.review .box-container .box .info .user span{
    font-size: 1.5rem;
    color:#666;
}

.review .box-container .box p{
    font-size: 1.5rem;
    color:#999;
}

.contact{
    padding-bottom: 3rem;
}

.contact .row{
    display: flex;
    flex-wrap: wrap;
    max-height: 650px;
    border-radius: 2rem;
    border:.1rem solid rgba(0,0,0,.1);
    overflow: hidden;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
}

.contact .row .image{
    flex:1  1 40rem;
}

.contact .row .image img{
    height:100%;
    width: 100%;
    object-fit: cover;
}

.contact .row form{
    flex:1  1 40rem;
    padding:2rem 4rem;
}

.contact .row form .inputBox{
    padding:1rem 0;
}

.contact .row form .inputBox h3{
    color:var(--green);
    padding:.5rem 0;
    font-size: 2rem;
}

.contact .row form .inputBox input, .contact .row form .inputBox textarea{
    width: 100%;
    padding:1.5rem;
    font-size: 1.5rem;
    border:.1rem solid rgba(0,0,0,.1);
}

.contact .row form .inputBox textarea{
    resize: none;
    height: 15rem;
}

.footer{
    min-height: auto;
    padding-top: 2rem;
    background:linear-gradient(rgba(255,255,255,.7),rgba(255,255,255,.7)), url(../images/footer-bg.jpg) no-repeat;
    background-size: cover;
    background-position: center;
}

.footer .box-container{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.footer .box-container .box{
    margin:2rem;
    flex:1 1 25rem;
}

.footer .box-container .box img{
    height: 30%;
    width: 35%;
    object-fit: contain;
}

.footer .box-container .box p{
    font-size: 1.5rem;
    color:black;
    padding: 1rem 0;
}

.footer .box-container .box p i{
    padding-right: 1rem;
    color:var(--green);
}

.footer .box-container .box h3{
    font-size: 2.5rem;
    color:var(--green);
    padding:1rem 0;
}

.footer .box-container .box a{
    height:5rem;
    width:5rem;
    line-height: 4.8rem;
    text-align: center;
    border:.1rem solid rgba(0,0,0,.1);
    border-radius: 50%;
    font-size: 2rem;
    color:#aaa;
    margin-right: 1rem;
}

.footer .box-container .box a:hover{
    background:#999;
    color:#fff;
}

.footer .credit{
    padding:2rem 1rem;
    text-align: center;
    font-size: 2rem;
    color:#999;
    border-top: .1rem solid rgba(0,0,0,.1);
}

.footer .credit span{
    color:var(--green);
}

#scroll-top{
    position: fixed;
    bottom:7.5rem; right: 2rem;
    z-index: 100;
    height:6rem;
    width:6rem;
    line-height: 6rem;
    font-size: 3rem;
    text-align: center;
    color:var(--green);
    border:.1rem solid rgba(0,0,0,.1);
    border-radius: .5rem;
    background:#f9f9f9;
}




.item{
    justify-content: space-around;
     align-content: center;
     border-image-slice: 1;
    
     display: grid;
     grid-template-columns: auto auto auto;
     
 }
   .pos1{
     height:100%;
     width: 350px;
     background-image: url(images/apparel.jpg);
     background-size: 450px;
    
     transition: .5s;
 }
 .pos2{
     height:100%;
     width: 350px;
     background-image: url(images/accessories.jpg);
     background-size: 350px;
    
     transition: .5s;
 }
 .pos3{
     height:100%;
     width: 350px;
     background-image: url(images/homedecor.jpg);
     background-size: 350px;
    
     transition: .5s;
 }
 .card{
    margin: 40px;
     width: 350px;
     background:linear-gradient(150deg,#f17501,#f1e2b1);
     display: grid;
     justify-content: center;
     height: 500px;
     border-radius: 4px;
     text-align: center;
     overflow: hidden;
     transition: .5s;
 }
 .card>img{
      width: 350px;
 }
 .abv{
    padding: 11px 10px;
    font-size: 22px;
    font-family: nyala;
    font-weight: bolder;
    color: #442b41;
    background: white;
    width: 48%;
    margin: 95% auto;
 
 }
 .card>h2{
     text-align: center;
     font-family: Gabriola;
     color: #442b41;
     font-size: 30px;
 }
 .pos1:hover{
     background-size: 400px;
 }
 .pos2:hover{
     background-size: 400px;
 }
 .pos3:hover{
     background-size: 400px;
 }


 p{
    font-family:avenir-lt-w01_35-light1475496!important;
   
    line-height: 1.8em;
}

.workFlow {
    background: lightblue;
    font-family: 'Poppins', sans-serif;
  }  
  
    .timeline {
      position: relative;
      max-width: var(--width-container);
      margin: 0 auto;
      padding: var(--spacing-xxl) 0;
    }
  
    .timeline::after {
      content: '';
      position: absolute;
      width: 8px;
  background: linear-gradient(190deg, #F67B50 0%, #0f4667 100%) !important;
      top: 10%;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
      border-radius: 4px;
      height: 0;
      transition: height 1.5s ease-out, opacity 1.5s ease-out;
    }
  
    .timeline-container {
      position: relative;
      width: 50%;
      padding: var(--spacing-l) var(--spacing-xl);
      box-sizing: border-box;
      opacity: 0;
      transform: translateY(50px);
      transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    }
  
    .timeline-container.left {
      left: 0;
    }
  
    .timeline-container.right {
      left: 50%;
    }
  
    .timeline-container::before {
      content: "";
      position: absolute;
      top: 30px;
      width: 24px;
      height: 24px;
      background: var(--text-lighter);
      border: 4px solid var(--accent-color);
      border-radius: 50%;
      transform: translate(-50%, -50%);
      left: 50%;
      z-index: 99999;
    }
  
    .content {
      padding: var(--spacing-xl);
      background-color: var(--text-lighter);
      position: relative;
      border-radius: var(--spacing-l);
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
      transition: box-shadow 0.3s ease, transform 0.3s ease;
      text-align: center;
      color: var(--background-dark);
      font-weight: bold;
      font-size: 2.35rem;
    }
  
    .content:hover {
      box-shadow: 0 8px 16px rgba(0, 0, 0, 0.5);
      transform: scale(1.05);
    }
  
       .icon {
              font-size: 32px;
              margin-right: var(--spacing-s);
  
              color: #F67B50; /* Fallback color */
          }
  
  
  
  
    a.content-link {
      text-decoration: none;
      color: inherit;
      display: block;
    }
  
 
  
    .show {
      opacity: 1;
      transform: translateY(0);
    }
  
    .timeline.show-line::after {
      height: 88%;
      opacity: 1;
    }
  
    .timeline.hide-line::after {
      height: 0;
      opacity: 0;
    }

    
    .masonry__container {
        column-count: 4;
        column-gap: 0.5rem;
        background-color: rgb(250, 250, 250);
        width: 70%;
    margin: auto;
    }

    @media screen and (max-width: 768px) {
        .masonry__container {
            column-count: 3;
            background-color: rgb(250, 250, 250);
        }
    }

    @media screen and (max-width: 576px) {
        .masonry__container {
            column-count: 2;
            background-color: rgb(250, 250, 250);
        }
    }

/* media queries  */

  
  @media (min-width: 1271px) {
    .header li {
        float: left;
      }
      .header li a {
        padding: 20px 30px;
      }
      .header .menu {
        clear: none;
        float: right;
        max-height: none;
      }
      .header .menu-icon {
        display: none;
      }
    
  }



  @media screen and (min-width: 768px) {
    .navbar {
      display: flex;
      justify-content: space-between;
      padding-bottom: 0;
      height: 70px;
      align-items: center;
    }
  
    #chkToggle:checked + ul.main-nav {
      display: flex;
    }
  
    .main-nav {
      display: flex;
      margin-right: 30px;
      flex-direction: row;
      justify-content: flex-end;
    }
  
    .main-nav li {
      margin: 0;
    }
  
    .nav-links {
      margin-left: 40px;
    }
  
    .logo {
      margin-top: 0;
    }
  
    .navbar-toggle {
      display: none;
    }
  
    .logo:hover,
    .nav-links:hover {
    font-weight: bold;
    text-decoration: underline;
    transition: font-weight 0.3s ease, text-decoration-color 0.2s ease;
    }
  }

@media screen and (max-width: 600px) {
    .timeline::after {
      left: 31px;
    }

    .timeline-container {
      width: 100%;
      padding-left: 80px;
      padding-right: 40px;
      margin-bottom: var(--spacing-l);
    }

    .timeline-container.left::before, .timeline-container.right::before {
      left: 31px;
    }

    .timeline-container.right {
      left: 0%;
    }

    .timeline-container.left, .timeline-container.right {
      left: 0;
    }
  }

@media(max-width: 720px){
    .item{
      grid-template-columns: auto;
    }
  }



@media (max-width:991px){

    html{
        font-size: 55%;
    }

    .home .content{
        padding:0;
    }

    #scroll-top{
        bottom:3rem;
    }

}

@media (max-width:788px){

    #menu{
        display: block;
    }

   
   

    section{
        padding:0 3%;
        padding-top: 9rem;
    }

    .home{
        background:linear-gradient(rgba(255,255,255,.7),rgba(255,255,255,.7)), url(/images/issa-ben-8CNkoytUuV4-unsplash.jpg) no-repeat;
        background-position: left;
    }

    .home .content{
        width: auto;
    }

}

@media (max-width:400px){

    html{
        font-size: 50%;
    }
    header{
        justify-content: space-between;
    }

}